<?php

/**
 * @file
 * Template overrides as well as (pre-)process and alter hooks
 */

/*
 * Implements hook_form_BASE_FORM_ID_alter().
 */
function ocio_seven_form_node_form_alter(&$form, &$form_state, $form_id) {
  if (isset($form['path']['pathauto'])) {
    // Input size hack for Chrome, to make path alias field stretch
    $form['path']['alias']['#attributes']['size'] = 99999;
  }
}

/*
 * Implements hook_preprocess_breadcrumb().
 */
function ocio_seven_preprocess_breadcrumb(&$vars) {

  // We're going rewrite breadcrumbs to make them consistent by using menu paths.
  $breadcrumbs = array();

  // Get the trail of menu items leading to the current page.
  $items = menu_get_active_trail();

  // Loop through each menu item.
  foreach ($items as $item) {
    // Some modules place multiple menu path parts in one menu item. This is not common,
    // but in this case we have to create separate breadcrumbs for each of them.
    if (isset($item['original_map'])) {
      $path_parts = array();
      foreach ($item['original_map'] as $part) {
        $path_parts[] = $part;
        $path = implode('/', $path_parts);
        $menu_item = menu_get_item($path);
        $breadcrumbs[$path] = $menu_item['title'];
      }
    }
    // In most cases, we only need to get a single path to this menu item.
    else {
      $breadcrumbs[$item['link_path']] = $item['title'];
    }
  }

  // Some pages have ancestors who use a different one of the above methods, or have duplicate
  // titles within a single trail. This removes duplicates and items with no titles.
  $breadcrumbs = array_unique(array_filter($breadcrumbs));

  // Overwrite existing breadcrumbs
  if (!empty($breadcrumbs)) {
    $vars['breadcrumb'] = array();

    foreach ($breadcrumbs as $path => $title) {
      $vars['breadcrumb'][] = l($title, $path);
    }
  }
}

/*
 * Implements hook_preprocess_page().
 */
function ocio_seven_preprocess_page(&$vars) {
  // Set page title to title of menu item
  $item = menu_get_item();
  drupal_set_title($item['title']);
}


/**
Implements hook_preprocess_TEMPLATE().
*/
function ocio_seven_preprocess_html(&$vars) {
  //adds osu-font support in order to display font samples in wcm_omega theme
  global $base_path;
  $theme_path = $base_path . drupal_get_path('theme', 'wcm_omega');
  $vars['osufonts'] = $theme_path .'/fonts/osu-fonts/webfonts.css';
}

